petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPGetMatSolveBatchSize

Gets the maximum number of columns treated simultaneously in KSPMatSolve().

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetMatSolveBatchSize(KSP ksp, PetscInt *bs)

### Input Parameter

| ksp | - iterative context

### Output Parameter

| bs | - block size

### See Also

KSPMatSolve(), KSPSetMatSolveBatchSize(), -mat_mumps_icntl_27, -matmatmult_Bbn

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/tutorials/ex77.c.html
src/ksp/ksp/tutorials/ex77f.F90.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages